atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.IWrapper The ATK interface implemented by components containing user-editable text content

should be implemented by UI components which contain text which the user can edit, via the corresponding to that component (see ).

is a subclass of , and as such, an object which implements AtkEditableText is by definition an implementor as well.

- Method
  2.12.0.0
  System.Void `` `` start position end position Copy text

  This method only copies the text up to , it does not include the text at that position.

- Method
  2.12.0.0
  System.Void `` `` start position end position Cut text

  This method only cuts the text up to , it does not include the text at that position.

- Method
  2.12.0.0
  System.Void `` `` start position end position Delete text

  This only deletes text up to, but not including .

- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` position to paste Paste text from clipboard to specified position.
- Method
  2.12.0.0
  System.Boolean `` `` `` an start of range in which to set attributes end of range in which to set attributes Sets the attributes for a specified range. if attributes successfully set for the specified range, otherwise

  Sets the attributes for a specified range. See the ATK_ATTRIBUTE macros (such as ATK_ATTRIBUTE_LEFT_MARGIN) for examples of attributes that can be set. Note that other attributes that do not have corresponding ATK_ATTRIBUTE macros may also be set for certain text widgets.

- Property
  2.12.0.0
  System.String Set text contents of text. contents of text